C*********************************************************************
C for photoproduction of a photon: no crossing necessary, 
C but keep mask to generate vector of processes j0 
C which has same name as before (and to assign charges etc in one_jet)
C*********************************************************************
	SUBROUTINE SPART15ZD(SC,TC,UC,Z1,M,PTM,PART15Z)
	IMPLICIT REAL*8 (A-H,L-Z)
	PARAMETER (J0MAX=2)
	DIMENSION PART15Z(J0MAX),V115Z(J0MAX)
	CALL VEC_15ZD(SC,TC,UC,Z1,M,PTM,V115Z)
	DO I=1,J0MAX
	 PART15Z(I) = V115Z(I)
	ENDDO 
	RETURN
	END
C*********************************************************************
	SUBROUTINE SPART15LD(SC,TC,UC,Z1,PART15L)
	IMPLICIT REAL*8 (A-H,L-Z)
	PARAMETER (J0MAX=2)
	DIMENSION PART15L(J0MAX),V115L(J0MAX)
	CALL VEC_15LD(SC,TC,UC,Z1,V115L)
	DO I=1,J0MAX
	 PART15L(I) = V115L(I)
	ENDDO 
	RETURN
	END
C*********************************************************************
	SUBROUTINE SPART15DD(SC,TC,UC,M,PTM,PART15D)
	IMPLICIT REAL*8 (A-H,L-Z)
	PARAMETER (J0MAX=2)
	DIMENSION PART15D(J0MAX),V115D(J0MAX)
	CALL VEC_15DD(SC,TC,UC,M,PTM,V115D)
	DO I=1,J0MAX
	 PART15D(I) = V115D(I)
	ENDDO 
	RETURN
	END
C*********************************************************************
	SUBROUTINE SPART25ZD(SC,TC,UC,Z2,M,PTM,PART25Z)
	IMPLICIT REAL*8 (A-H,L-Z)
	PARAMETER (J0MAX=2)
	DIMENSION PART25Z(J0MAX),V125Z(J0MAX)
	CALL VEC_25ZD(SC,TC,UC,Z2,M,PTM,V125Z)
	DO I=1,J0MAX
	 PART25Z(I) = V125Z(I)
	ENDDO 
	RETURN
	END
C*********************************************************************
	SUBROUTINE SPART25LD(SC,TC,UC,Z2,PART25L)
	IMPLICIT REAL*8 (A-H,L-Z)
	PARAMETER (J0MAX=2)
	DIMENSION PART25L(J0MAX),V125L(J0MAX)
	CALL VEC_25LD(SC,TC,UC,Z2,V125L)
	DO I=1,J0MAX
	 PART25L(I) = V125L(I)
	ENDDO 
	RETURN
	END
C*********************************************************************
	SUBROUTINE SPART25DD(SC,TC,UC,M,PTM,PART25D)
	IMPLICIT REAL*8 (A-H,L-Z)
	PARAMETER (J0MAX=2)
	DIMENSION PART25D(J0MAX),V125D(J0MAX)
	CALL VEC_25DD(SC,TC,UC,M,PTM,V125D)
	DO I=1,J0MAX
	 PART25D(I) = V125D(I)
	ENDDO 
	RETURN
	END
C*********************************************************************
	SUBROUTINE SPART35RD(SC,TC,UC,ZM,R,PART35R)
	IMPLICIT REAL*8 (A-H,L-Z)
	PARAMETER (J0MAX=2)
	DIMENSION PART35R(J0MAX),V135R(J0MAX)
	CALL VEC_35RD(SC,TC,UC,ZM,R,V135R)
	DO I=1,J0MAX
	 PART35R(I) = V135R(I)
	ENDDO 
	RETURN
	END
C*********************************************************************
	SUBROUTINE SPART35DD(SC,TC,UC,PART35D)
	IMPLICIT REAL*8 (A-H,L-Z)
	PARAMETER (J0MAX=2)
	DIMENSION PART35D(J0MAX),V135D(J0MAX)
	CALL VEC_35DD(SC,TC,UC,V135D)
	DO I=1,J0MAX
	 PART35D(I) = V135D(I)
	ENDDO 
	RETURN
	END
C*********************************************************************
	SUBROUTINE SPART45RD(SC,TC,UC,Z4,R,PART45R)
	IMPLICIT REAL*8 (A-H,L-Z)
	PARAMETER (J0MAX=2)
	DIMENSION PART45R(J0MAX),V145R(J0MAX)
	CALL VEC_45RD(SC,TC,UC,Z4,R,V145R)
	DO I=1,J0MAX
	 PART45R(I) = V145R(I)
	ENDDO 
	RETURN
	END
C*********************************************************************
	SUBROUTINE SPART45ZD(SC,TC,UC,Z4,MF,PT4,PART45Z)
	IMPLICIT REAL*8 (A-H,L-Z)
	PARAMETER (J0MAX=2)
	DIMENSION PART45Z(J0MAX),V145Z(J0MAX)
	CALL VEC_45ZD(SC,TC,UC,Z4,MF,PT4,V145Z)
	DO I=1,J0MAX
	 PART45Z(I) = V145Z(I)
	ENDDO 
	RETURN
	END
C*********************************************************************
	SUBROUTINE SPART45LD(SC,TC,UC,Z4,PART45L)
	IMPLICIT REAL*8 (A-H,L-Z)
	PARAMETER (J0MAX=2)
	DIMENSION PART45L(J0MAX),V145L(J0MAX)
	CALL VEC_45LD(SC,TC,UC,Z4,V145L)
	DO I=1,J0MAX
	 PART45L(I) = V145L(I)
	ENDDO 
	RETURN
	END
C*********************************************************************
	SUBROUTINE SPART45DD(SC,TC,UC,MF,PT4,PART45D)
	IMPLICIT REAL*8 (A-H,L-Z)
	PARAMETER (J0MAX=2)
	DIMENSION PART45D(J0MAX),V145D(J0MAX)
	CALL VEC_45DD(SC,TC,UC,MF,PT4,V145D)
	DO I=1,J0MAX
	 PART45D(I) = V145D(I)
	ENDDO 
	RETURN
	END
C*********************************************************************
	SUBROUTINE SPARTVID(S,SC,TC,UC,MU,PT,PTM,PARTVI)
	IMPLICIT REAL*8 (A-H,L-Z)
	PARAMETER (J0MAX=2)
	DIMENSION PARTVI(J0MAX),V1VI(J0MAX)
	CALL VEC_VID(S,SC,TC,UC,MU,PT,PTM,V1VI)
	DO I=1,J0MAX
	 PARTVI(I) = V1VI(I)
	ENDDO 
	RETURN
	END
C*********************************************************************
	SUBROUTINE SPARTVI2D(S,SC,TC,UC,YS,FI,PARTVI2)
	IMPLICIT REAL*8 (A-H,L-Z)
	PARAMETER (J0MAX=2)
	DIMENSION PARTVI2(J0MAX),V1VI2(J0MAX)
	CALL VEC_VI2D(S,SC,TC,UC,YS,FI,V1VI2)
	DO I=1,J0MAX
	 PARTVI2(I) = V1VI2(I)
	ENDDO 
	RETURN
	END
C*********************************************************************
	SUBROUTINE SH12D(S12,S13,S14,S15,S23,S24,S25,S34,S35,S45,H12)
	IMPLICIT REAL*8 (A-H,L-Z)
	PARAMETER (J0MAX=2)
	DIMENSION H12(J0MAX),V1H(J0MAX)
	ZERO = 0.D0
	CALL VEC_DINIT(H12,J0MAX,ZERO)
	CALL VEC_H12D(S12,S13,S14,S15,S23,S24,S25,S34,S35,S45,V1H)
	DO I=1,J0MAX
	H12(I) = V1H(I)
	ENDDO 
	RETURN
	END
C*********************************************************************
	SUBROUTINE SH13D(S12,S13,S14,S15,S23,S24,S25,S34,S35,S45,H13)
	IMPLICIT REAL*8 (A-H,L-Z)
	PARAMETER (J0MAX=2)
	DIMENSION H13(J0MAX),V1H(J0MAX)
	ZERO = 0.D0
	CALL VEC_DINIT(H13,J0MAX,ZERO)
	CALL VEC_H13D(S12,S13,S14,S15,S23,S24,S25,S34,S35,S45,V1H)
	DO I=1,J0MAX
	H13(I) = V1H(I)
	ENDDO 
	RETURN
	END
C*********************************************************************
	SUBROUTINE SH14D(S12,S13,S14,S15,S23,S24,S25,S34,S35,S45,H14)
	IMPLICIT REAL*8 (A-H,L-Z)
	PARAMETER (J0MAX=2)
	DIMENSION H14(J0MAX),V1H(J0MAX)
	ZERO = 0.D0
	CALL VEC_DINIT(H14,J0MAX,ZERO)
	CALL VEC_H14D(S12,S13,S14,S15,S23,S24,S25,S34,S35,S45,V1H)
	DO I=1,J0MAX
	H14(I) = V1H(I)
	ENDDO 
	RETURN
	END
C*********************************************************************
	SUBROUTINE SH23D(S12,S13,S14,S15,S23,S24,S25,S34,S35,S45,H23)
	IMPLICIT REAL*8 (A-H,L-Z)
	PARAMETER (J0MAX=2)
	DIMENSION H23(J0MAX),V1H(J0MAX)
	ZERO = 0.D0
	CALL VEC_DINIT(H23,J0MAX,ZERO)
	CALL VEC_H23D(S12,S13,S14,S15,S23,S24,S25,S34,S35,S45,V1H)
	DO I=1,J0MAX
	H23(I) = V1H(I)
	ENDDO 
	RETURN
	END
C*********************************************************************
	SUBROUTINE SH24D(S12,S13,S14,S15,S23,S24,S25,S34,S35,S45,H24)
	IMPLICIT REAL*8 (A-H,L-Z)
	PARAMETER (J0MAX=2)
	DIMENSION H24(J0MAX),V1H(J0MAX)
	ZERO = 0.D0
	CALL VEC_DINIT(H24,J0MAX,ZERO)
	CALL VEC_H24D(S12,S13,S14,S15,S23,S24,S25,S34,S35,S45,V1H)
	DO I=1,J0MAX
	H24(I) = V1H(I)
	ENDDO 
	RETURN
	END
C*********************************************************************
	SUBROUTINE SH34D(S12,S13,S14,S15,S23,S24,S25,S34,S35,S45,H34)
	IMPLICIT REAL*8 (A-H,L-Z)
	PARAMETER (J0MAX=2)
	DIMENSION H34(J0MAX),V1H(J0MAX)
	ZERO = 0.D0
	CALL VEC_DINIT(H34,J0MAX,ZERO)
	CALL VEC_H34D(S12,S13,S14,S15,S23,S24,S25,S34,S35,S45,V1H)
	DO I=1,J0MAX
	H34(I) = V1H(I)
	ENDDO 
	RETURN
	END
C*********************************************************************
	SUBROUTINE SCONSD(S12,S13,S14,S15,S23,S24,S25,S34,S35,S45,CONS)
	IMPLICIT REAL*8 (A-H,L-Z)
	PARAMETER (J0MAX=2)
	DIMENSION CONS(J0MAX),V1H(J0MAX)
	ZERO = 0.D0
	CALL VEC_DINIT(CONS,J0MAX,ZERO)
	CALL VEC_CONSD(S12,S13,S14,S15,S23,S24,S25,S34,S35,S45,V1H)
	DO I=1,J0MAX
	CONS(I) = V1H(I)
	ENDDO 
	RETURN
	END
C*********************************************************************
	SUBROUTINE BORND(SC,TC,UC,N,RBORN)
	IMPLICIT REAL*8 (A-H,L-Z)
	PARAMETER (J0MAX=2)
	DIMENSION RBORN(J0MAX),V1B(J0MAX)
	ZERO = 0.D0
	CALL VEC_BD(SC,TC,UC,N,V1B)
	DO I=1,J0MAX
	RBORN(I) = V1B(I)
	ENDDO 
	RETURN
	END
C*********************************************************************
