	SUBROUTINE CHOISCALE(P3,P4,CM,CMU,CMF,ICHOI_SCALE,M,MU,MF)
	IMPLICIT REAL*8 (A-H,L-Z)
	DIMENSION P3(4),P4(4)
	PT3 = DSQRT(P3(2)**2+P3(3)**2)
	PT4 = DSQRT(P4(2)**2+P4(3)**2)
	S1 = PT4
	S2 = (PT3+PT4)
	S3 = DSQRT(PT3**2+PT4**2)
	S4 = DMAX1(PT3,PT4)
	IF (ICHOI_SCALE.EQ.1) THEN
	  M = S1*CM
	  MU = S1*CMU
	  MF = S1*CMF
	ELSE IF (ICHOI_SCALE.EQ.2) THEN
	  M = S2*CM
	  MU = S2*CMU
	  MF = S2*CMF
	ELSE IF (ICHOI_SCALE.EQ.3) THEN
	  M = S3*CM
	  MU = S3*CMU
	  MF = S3*CMF
	ELSE IF (ICHOI_SCALE.EQ.4) THEN
	  M = S4*CM
	  MU = S4*CMU
	  MF = S4*CMF
	ENDIF
	RETURN
	END
	
